> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents

> To get the list of all the records for a given authenticated user.



## OpenAPI

````yaml get /mr/api/v1/docs
openapi: 3.0.0
info:
  title: Document Upload API
  description: API to pre-sign the URL for uploading documents.
  version: 1.0.0
  license:
    name: Proprietary License
    url: https://developer.eka.care/license
servers:
  - url: https://api.eka.care
    description: Production server
  - url: https://api.dev.eka.care
    description: Development server
security: []
tags:
  - name: Records
    description: API related to records document management.
paths:
  /mr/api/v1/docs:
    get:
      summary: List Documents
      description: To get the list of all the records for a given authenticated user.
      operationId: getDocuments
      parameters:
        - name: u_at__gt
          in: query
          required: false
          schema:
            type: integer
            format: int64
            example: 1614556800
          description: >-
            Filters the documents by returning all documents that were updated
            after the specified u_at__gt timestamp. The value should be a valid
            epoch timestamp.
        - name: offset
          in: query
          required: false
          schema:
            type: string
          description: >-
            Please include the nextPageToken from the API response to enable
            pagination.
        - name: accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
          example: application/json
          description: To get response in json format
        - name: X-Pt-Id
          in: header
          required: true
          schema:
            type: string
          description: eka user id (OID)
      responses:
        '200':
          description: A list of documents matching the query.
          content:
            application/json:
              schema:
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        record:
                          type: object
                          properties:
                            item:
                              type: object
                              properties:
                                cases:
                                  type: array
                                  uniqueItems: true
                                  items:
                                    type: string
                                    description: List of Cases.
                                document_id:
                                  type: string
                                  description: Unique ID of the document.
                                  example: df04c7e6-577b-4990-948c-5a31820c6a67
                                upload_date:
                                  type: integer
                                  format: epoch
                                  description: Date when the document was uploaded.
                                  example: 1722929975
                                document_type:
                                  type: string
                                  description: Type of the document.
                                  example: lr
                                metadata:
                                  type: object
                                  properties:
                                    thumbnail:
                                      type: string
                                      format: uri
                                      description: URL of the document's thumbnail.
                                      example: >-
                                        https://vault-cdn.dev.eka.care/fac0704e-a0e3-4c93-a972-e6c1f188592d/df04c7e6-577b-4990-948c-5a31820c6a67/5dbc4b75-df1a-412d-82a3-77d54671398c.jpeg
                                    document_date:
                                      type: integer
                                      format: epoch
                                      description: Date of the document.
                                      example: 1722929975
                                    tags:
                                      type: array
                                      uniqueItems: true
                                      items:
                                        type: string
                                        description: Tags associated with the document.
                                    auto_tags:
                                      type: array
                                      uniqueItems: true
                                      items:
                                        type: string
                                        description: Automatically assigned tags.
                                        example: TYPE_TAG_SMART
                                    title:
                                      type: string
                                      description: Title associated with the document.
                                    abha:
                                      type: object
                                      nullable: true
                                      properties:
                                        health_id:
                                          type: string
                                          example: mayank.singh@abdm
                                        link_status:
                                          type: string
                                          enum:
                                            - LINKED
                                            - INITIATED
                                            - ERRORED
                                patient_id:
                                  type: string
                                  description: Patient OID associated with the document.
                                  example: 161494290947153
                  next_token:
                    type: string
                    description: >-
                      Token used for pagination to retrieve the next set of
                      results in a paginated response.
                  source_refreshed_at:
                    type: integer
                    format: int64
                    nullable: true
        '400':
          description: Bad Request. Invalid or missing parameters.
        '401':
          description: Unauthorized. Invalid JWT token or client ID.
        '500':
          description: Internal Server Error.
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````